# Base class for everything dns
class dns {

  Exec {
    path => ['/usr/local/sbin', '/usr/local/bin', '/usr/sbin', '/usr/bin', '/sbin', '/bin', ],
  }

  sunet::ssh_keys {'dns':
    config => safe_hiera('dns_ssh_keys', {})
  }

  # Keep journald logs for 90 days, (#or 500 MB)
  sunet::scriptherder::cronjob { 'clean_logs':
    cmd           => 'sh -c \'test -x /bin/journalctl && /bin/journalctl --vacuum-time=90d\'',
    special       => 'daily',
    ok_criteria   => ['exit_status=0', 'max_age=50h'],
    warn_criteria => ['exit_status=0', 'max_age=72h'],
  }
  #file_line { 'journald_SystemMaxUse':
  #  path  => '/etc/systemd/journald.conf',
  #  after => '^#SystemMaxUse',
  #  match => '^SystemMaxUse=',
  #  line  => 'SystemMaxUse=500M',
  #}
}
